summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Ruppert <idl0r@gentoo.org>2009-03-13 17:39:37 +0000
committerChristian Ruppert <idl0r@gentoo.org>2009-03-13 17:39:37 +0000
commita6f925964c99cffab794bf59495a6708a94280e4 (patch)
tree4a8ade914cdf7e7b02b988ec46261fab54173fc5 /dev-tex/ledmac/ledmac-2005.ebuild
parentmedia-plugins/k3bmonkeyaudioplugin: add qt3 to the inherit to fix a sandbox i... (diff)
downloadsunrise-a6f925964c99cffab794bf59495a6708a94280e4.tar.gz
sunrise-a6f925964c99cffab794bf59495a6708a94280e4.tar.bz2
sunrise-a6f925964c99cffab794bf59495a6708a94280e4.zip
dev-tex/ledmac: Fixed dependency app-text/tetex to virtual/latex-base. Cleanup.
svn path=/sunrise/; revision=8058
Diffstat (limited to 'dev-tex/ledmac/ledmac-2005.ebuild')
-rw-r--r--dev-tex/ledmac/ledmac-2005.ebuild20
1 files changed, 3 insertions, 17 deletions
diff --git a/dev-tex/ledmac/ledmac-2005.ebuild b/dev-tex/ledmac/ledmac-2005.ebuild
index 31117e847..619d7b79f 100644
--- a/dev-tex/ledmac/ledmac-2005.ebuild
+++ b/dev-tex/ledmac/ledmac-2005.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
@@ -13,28 +13,14 @@ IUSE=""
SLOT="0"
KEYWORDS="~x86"
-RDEPEND=">=app-text/tetex-3.0"
+RDEPEND="virtual/latex-base"
DEPEND="${RDEPEND}
app-arch/unzip"
S=${WORKDIR}/${PN}
SUPPLIER="public"
-src_compile() {
- latex ledmac.ins
- latex ledpar.ins
- latex ledarab.ins
-}
-
src_install() {
latex-package_src_doinstall sty
- dodoc *pdf README
-}
-
-pkg_postinst() {
- latex-package_rehash
-}
-
-pkg_postrm() {
- latex-package_rehash
+ dodoc *.pdf README || die "dodoc failed"
}